Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Classpath

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.eclipse.model.Classpath

    class Classpath
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

Authors:
  Hans Dockter

Property Summary
`List` | `entries`

Constructor Summary
`Classpath(XmlTransformer xmlTransformer, FileReferenceFactory fileReferenceFactory)`
`Classpath()`

Method Summary
`def` | `configure(List newEntries)`
`boolean` | `equals(def o)`
`protected String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(Node xml)`
`protected void` | `store(Node xml)`
`String` | `toString()`

Property Detail

### entries

    List entries

Constructor Detail

### Classpath

    Classpath(XmlTransformer xmlTransformer, FileReferenceFactory fileReferenceFactory)

### Classpath

    Classpath()

Method Detail

### configure

    def configure(List newEntries)

### equals

    boolean equals(def o)

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(Node xml)

### store

    @Override
    protected void store(Node xml)

### toString

    String toString()

Gradle API 1.1-rc-1